stack-1.3.2: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Options.GlobalParser

Synopsis

- globalOptsParser :: GlobalOptsContext -> Maybe LogLevel -> Parser GlobalOptsMonoid
- globalOptsFromMonoid :: Bool -> GlobalOptsMonoid -> GlobalOpts
- initOptsParser :: Parser InitOpts

# Documentation

globalOptsParser :: GlobalOptsContext -> Maybe LogLevel -> Parser GlobalOptsMonoid #

Parser for global command-line options.

globalOptsFromMonoid :: Bool -> GlobalOptsMonoid -> GlobalOpts #

Create GlobalOpts from GlobalOptsMonoid.

initOptsParser :: Parser InitOpts #